## voms 1.9.17.1

=== debian/changelog ===
voms (1.9.17.1-1) unstable; urgency=low

  * Update to upstream version 1.9.17.1
  * Drop patches voms-db-method.patch and voms-thread.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 05 Jun 2010 20:58:16 +0200

voms (1.9.16.1-2) unstable; urgency=low

  * Add mutex lock for accessing private data

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 29 Mar 2010 10:15:09 +0200

voms (1.9.16.1-1) unstable; urgency=low

  * Update to upstream version 1.9.16.1
  * Fix uninitialized variable in voms-proxy-init
  * Add debug package
  * Add ahead-of-time native java package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 22 Mar 2010 12:50:14 +0100

voms (1.9.14.3-1) unstable; urgency=low

  * Update to upstream version 1.9.14.3
  * Add missing dependencies for stricter binutils (Closes: #556667)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 28 Dec 2009 22:04:23 +0100

voms (1.9.14.2-1) unstable; urgency=low

  * Update to upstream version 1.9.14.2
  * Fix some bashisms in shell scripts (Closes: #547763)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 20 Oct 2009 19:53:08 +0200

voms (1.9.12.1-1) unstable; urgency=low

  * Update to upstream version 1.9.12.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 18 Sep 2009 12:08:56 +0200

voms (1.9.11-3) unstable; urgency=low

  * Fix java compilation on hppa and kfreebsd
  * Fix doc-base identifiers
  * Fix unconditional use of PIPE_BUF for GNU hurd compilation

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 31 Aug 2009 22:48:51 +0200

voms (1.9.11-2) unstable; urgency=low

  * Adapt debian/rules to new doxygen version (Closes: #544026)
  * Add setup instructions to the server package
  * Run the server as non-root

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 26 Aug 2009 13:18:32 +0200

voms (1.9.11-1) unstable; urgency=low

  * Initial release (Closes: #515221)
  * Update to upstream version 1.9.11

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 17 Aug 2009 19:17:05 +0200

voms (1.9.8.1-2) UNRELEASED; urgency=low

  * Do proper package renaming

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 27 Jul 2009 13:45:18 +0200

voms (1.9.8.1-1) UNRELEASED; urgency=low

  * Update to upstream version 1.9.8.1
  * Make java package too

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 02 Jul 2009 18:16:22 +0200

voms (1.9.2-2) UNRELEASED; urgency=low

  * Updated Debian policy
  * Eliminated lintian warnings
    - deprecated source-version

 -- Steffen Moeller <moeller@debian.org>  Sun, 29 Mar 2009 23:27:01 +0200

voms (1.9.2-1) UNRELEASED; urgency=low

  * Update to upstream version 1.9.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 12 Feb 2009 14:01:30 +0100

voms (1.9.1-1) UNRELEASED; urgency=low

  * Update to upstream version 1.9.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri,  6 Feb 2009 14:08:40 +0100

voms (1.8.10-1) UNRELEASED; urgency=low

  * Update to upstream version 1.8.10

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Jan 2009 18:20:53 +0100

voms (1.7.24-1) UNRELEASED; urgency=low

  * Initial packaging

 -- Steffen Moeller <moeller@debian.org>  Fri, 20 Jun 2008 21:30:49 +0000
