=== debian/control ===
Source: voms
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 5), autoconf, automake, libtool, autotools-dev, quilt, libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libssl-dev, libexpat1-dev, pkg-config, xsltproc, docbook-xml, docbook-xsl, doxygen, texlive-latex-recommended, texlive-fonts-recommended, default-jdk-builddep, libbcprov-java (>= 1.39), libcommons-cli-java, libcommons-lang-java, liblog4j1.2-java
Standards-Version: 3.8.4
Section: libs
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/voms
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/voms
Homepage: http://glite.web.cern.ch/glite/

Package: libvomsapi0
Provides: libvoms0, voms0
Replaces: libvoms0 (<< 1.9.8.2-2), voms0 (<< 1.9.8.2-1)
Conflicts: libvoms0 (<< 1.9.8.2-2), voms0 (<< 1.9.8.2-1), voms-clients (<< 1.9.11-2)
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Virtual Organization Membership Service
 In grid computing, and whenever the access to resources may be controlled
 by parties external to the resource provider, users may be grouped to
 Virtual Organizations (VOs). This package provides a VO Membership Service
 (VOMS), which informs on that association between users and their VOs:
 groups, roles and capabilities.
 .
 This package offers libraries that applications using the VOMS functionality
 will bind to.
 
Package: voms-dev
Section: libdevel
Architecture: any
Depends: libvomsapi0 (= ${binary:Version}), libssl-dev, ${misc:Depends}
Suggests: voms-doc
Description: Virtual Organization Membership Service Development Files
 In grid computing, and whenever the access to resources may be controlled
 by parties external to the resource provider, users may be grouped to
 Virtual Organizations (VOs). This package provides a VO Membership Service
 (VOMS), which informs on that association between users and their VOs:
 groups, roles and capabilities.
 .
 This package offers header files for programming with the VOMS libraries.

Package: voms-doc
Section: doc
Architecture: all
Depends: voms-dev, ${misc:Depends}
Description: Virtual Organization Membership Service Documentation Files
 Documentation for the Virtual Organization Membership Service.

Package: voms-clients
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Virtual Organization Membership Service Clients
 In grid computing, and whenever the access to resources may be controlled
 by parties external to the resource provider, users may be grouped to
 Virtual Organizations (VOs). This package provides a VO Membership Service
 (VOMS), which informs on that association between users and their VOs:
 groups, roles and capabilities.
 .
 This package provides command line applications to access the VOMS
 services.

Package: voms-server
Section: net
Architecture: any
Depends: ${shlibs:Depends}, adduser, ${misc:Depends}
Suggests: voms-mysql-plugin
Description: Virtual Organization Membership Service Server
 In grid computing, and whenever the access to resources may be controlled
 by parties external to the resource provider, users may be grouped to
 Virtual Organizations (VOs). This package provides a VO Membership Service
 (VOMS), which informs on that association between users and their VOs:
 groups, roles and capabilities.
 .
 The service can be understood as an account database, which serves the
 information in a special format (VOMS credential). The VO manager can
 administrate it remotely using command line tools or a web interface.

Package: libvomsjapi-java
Section: java
Architecture: all
Depends: libbcprov-java (>= 1.39), libcommons-cli-java, libcommons-lang-java, liblog4j1.2-java, ${misc:Depends}
Suggests: libvomsjapi-java-doc, libvomsjapi-java-gcj
Description: Virtual Organization Membership Service Java API
 In grid computing, and whenever the access to resources may be controlled
 by parties external to the resource provider, users may be grouped to
 Virtual Organizations (VOs). This package provides a VO Membership Service
 (VOMS), which informs on that association between users and their VOs:
 groups, roles and capabilities.
 .
 This package offers a java client API for VOMS.

Package: libvomsjapi-java-gcj
Section: java
Architecture: any
Depends: ${shlibs:Depends}, libvomsjapi-java (= ${source:Version}), ${misc:Depends}
Description: Virtual Organization Membership Service Java API
 In grid computing, and whenever the access to resources may be controlled
 by parties external to the resource provider, users may be grouped to
 Virtual Organizations (VOs). This package provides a VO Membership Service
 (VOMS), which informs on that association between users and their VOs:
 groups, roles and capabilities.
 .
 This package offers the gcj ahead-of-time compiled java client API for VOMS.

Package: libvomsjapi-java-doc
Section: doc
Architecture: all
Depends: libvomsjapi-java, ${misc:Depends}
Description: Virtual Organization Membership Service Java API Documentation
 Virtual Organization Membership Service (VOMS) Java API Documentation.

Package: voms-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libvomsapi0 (= ${binary:Version}) | voms-clients (= ${binary:Version}) | voms-server (= ${binary:Version}), ${misc:Depends}
Description: Virtual Organization Membership Service - Debug Symbols
 This package provides dubug symbols for the Virtual Organization Membership
 Service (VOMS).
