## voms 1.9.19.2

=== debian/changelog ===
voms (1.9.19.2-2build1) oneiric; urgency=low

  * No-change rebuild for libssl0.9.8 -> libssl1.0.0 transition.

 -- Ilya Barygin <barygin@gmail.com>  Sat, 20 Aug 2011 23:54:42 +0400

voms (1.9.19.2-2) unstable; urgency=low

  * Use new doxygen-latex build dependency (Closes: #616283)
  * Remove embedded jquery.js

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 06 May 2011 12:08:39 +0200

voms (1.9.19.2-1) unstable; urgency=low

  * Update to upstream version 1.9.19.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 01 Nov 2010 11:53:14 +0100

voms (1.9.18.1-4) unstable; urgency=low

  * Remove the empty /etc/vomses file - it will cause conflicts for users
    that have used the option to have /etc/vomses be a directory

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 15 Oct 2010 22:03:22 +0200

voms (1.9.18.1-3) unstable; urgency=low

  * Only do postinstall configuration during configure

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Oct 2010 09:02:57 +0200

voms (1.9.18.1-2) unstable; urgency=low

  * Let postinstall script respect local changes to voms user setting

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 05 Oct 2010 16:32:28 +0200

voms (1.9.18.1-1) unstable; urgency=low

  * Update to upstream version 1.9.18.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 04 Oct 2010 19:36:14 +0200
