=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 5), autoconf, automake, libtool, autotools-dev, quilt, libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libssl-dev, libexpat1-dev, pkg-config, xsltproc, docbook-xml, docbook-xsl, doxygen, texlive-latex-recommended, texlive-fonts-recommended, default-jdk-builddep, libbcprov-java (>= 1.39), libcommons-cli-java, libcommons-lang-java, liblog4j1.2-java
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 6.0.7~), autoconf, automake, libtool, autotools-dev, quilt, libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libssl-dev, libexpat1-dev, pkg-config, xsltproc, docbook-xml, docbook-xsl, doxygen-latex, texlive-fonts-recommended, default-jdk, gcj-native-helper, libbcprov-java (>= 1.39), libcommons-cli-java, libcommons-lang-java, liblog4j1.2-java
+Standards-Version: 3.9.2
 Section: libs
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/voms
@@ -44,7 +44,7 @@
 Package: voms-doc
 Section: doc
 Architecture: all
-Depends: voms-dev, ${misc:Depends}
+Depends: voms-dev, ${misc:Depends}, libjs-jquery
 Description: Virtual Organization Membership Service Documentation Files
  Documentation for the Virtual Organization Membership Service.
 
@@ -116,7 +116,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libvomsapi0 (= ${binary:Version}) | voms-clients (= ${binary:Version}) | voms-server (= ${binary:Version}), ${misc:Depends}
+Depends: libvomsapi0 (= ${binary:Version}) | voms-clients (= ${binary:Version}) | voms-server (= ${binary:Version}) | libvomsjapi-java-gcj (= ${binary:Version}), ${misc:Depends}
 Description: Virtual Organization Membership Service - Debug Symbols
  This package provides dubug symbols for the Virtual Organization Membership
  Service (VOMS).
