=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 endif
 
 name=voms
-version=1.9.17.1
+version=1.9.19.2
 
 include /usr/share/quilt/quilt.make
 
@@ -72,6 +72,10 @@
 	touch -r src/utils/vomsfake.y src/utils/vomsparser.h
 	touch -r src/utils/vomsfake.y src/utils/vomsparser.c
 	touch -r src/utils/vomsfake.y src/utils/lex.yy.c
+
+	# Add java dependencies to classpath
+	echo "Class-Path: /usr/share/java/bcprov.jar:/usr/share/java/commons-cli.jar:/usr/share/java/commons-lang.jar:/usr/share/java/log4j-1.2.jar" >> \
+	    src/api/java/Manifest.add
 
 	# rebootstrap
 	./autogen.sh
@@ -146,6 +150,8 @@
 
 	sed 's/ -source 1.5//' -i src/api/java/Makefile.am
 
+	sed '/Class-Path:/d' -i src/api/java/Manifest.add
+
 	for f in config.sub config.guess ; do \
 	  if [ -e project/$$f.dist ] ; then \
 	    mv -f project/$$f.dist project/$$f ; \
@@ -199,8 +205,6 @@
 	mkdir -p $(INSTALLDIR)$(_sysconfdir)/$(name)
 	mkdir -p $(INSTALLDIR)$(_localstatedir)/log/$(name)
 
-	touch $(INSTALLDIR)$(_sysconfdir)/vomses
-
 	sed -e 's!$${datapath}/etc/voms/voms!$${basepath}/share/voms/voms!' \
 	    -e 's/useradd/\#&/' -e 's/groupadd/\#&/' \
 	    -e 's/vomsd(8)/voms(8)/' \
@@ -216,12 +220,18 @@
 		$(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_C_API
 	install -m 644 doc/apidoc/api/VOMS_C_API/latex/refman.pdf \
 		$(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_C_API
+	rm $(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_C_API/html/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js \
+	    $(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_C_API/html/jquery.js
 
 	mkdir -p $(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_CC_API
 	cp -pr doc/apidoc/api/VOMS_CC_API/html \
 		$(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_CC_API
 	install -m 644 doc/apidoc/api/VOMS_CC_API/latex/refman.pdf \
 		$(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_CC_API
+	rm $(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_CC_API/html/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js \
+	    $(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_CC_API/html/jquery.js
 
 	mkdir -p $(INSTALLDIR)/$(_docdir)/libvomsjapi-java
 	cp -pr javadoc $(INSTALLDIR)/$(_docdir)/libvomsjapi-java/api
@@ -245,6 +255,7 @@
 	dh_installman
 	dh_link
 	dh_nativejava
+	dh_lintian
 	dh_strip --dbg-package=voms-dbg
 	dh_compress
 	dh_fixperms
@@ -260,16 +271,3 @@
 
 get-orig-source:
 	if [ -r ../$(name)_$(version).orig.tar.gz ] ; then \
-	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
-	else \
-	  if [ -d "$(name)-$(version)" ]; then \
-	    echo "Please remove existing directory '$(name)-$(version)'" ; \
-	    exit -1 ; \
-	  fi ; \
-	  echo "Fetching upstream CVS version" ; \
-	  cvs -d:pserver:anonymous:@glite.cvs.cern.ch:/cvs/glite co \
-	    -r glite-security-voms_R_`echo $(version)|tr "." "_"` \
-	    -d $(name)-$(version) org.glite.security.voms ; \
-	  echo "Packing it up." ; \
-	  GZIP=-9 tar --exclude=CVS -z -c -f ../$(name)_$(version).orig.tar.gz $(name)-$(version) ; \
-	  echo "Cleaning up." ; \
