## voms 2.0.6

=== debian/changelog ===
voms (2.0.6-3build1) precise; urgency=low

  * Rebuild for libgsoap0->libgsoap1 transition

 -- Michael Terry <mterry@ubuntu.com>  Mon, 28 Nov 2011 15:10:39 -0500

voms (2.0.6-3) unstable; urgency=low

  * Don't build java in parallel

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 15 Oct 2011 15:35:46 +0200

voms (2.0.6-2) unstable; urgency=low

  * Move vomses template to documentation directory

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Sep 2011 11:51:21 +0200

voms (2.0.6-1) unstable; urgency=low

  * Update to upstream version 2.0.6
  * Adapt manpage (Closes: #639130)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 31 Aug 2011 16:03:36 +0200
