=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 endif
 
 name=voms
-version=1.9.19.2
+version=2.0.6
 
 include /usr/share/quilt/quilt.make
 
@@ -48,21 +48,24 @@
 	  fi ; \
 	done
 
-	# Fix location dir
-	sed -e 's/\(LOCATION_DIR.*\)"$$prefix"/\1""/g' -i project/acinclude.m4
-
-	# Fix default Globus location
-	sed -e 's!\(GLOBUS_LOCATION\)!{\1:-/usr}!' -i project/voms.m4
-
-	# Fix default vomses file location
-	sed -e 's!"/opt/glite/etc/vomses"!"/etc/vomses"!' \
-		-i src/api/ccapi/voms_api.cc
+	# Remove embedded gsoap sources
+	rm -f src/server/stdsoap2.c src/server/stdsoap2.h src/server/soap*
+
+	# Remove some junk
+	rm -rf .classpath .settings
+
+	# Fix bad permissions
+	find . '(' -name '*.h' -o -name '*.c' -o -name '*.cpp' -o \
+		   -name '*.cc' -o -name '*.java' ')' -exec chmod a-x {} ';'
 
 	# /var/lock/subsys is a redhat-ism - use /var/run/voms instead
 	sed -e 's!/lock/subsys!/run/voms!g' -i src/install/voms.start.in
 
 	# Use pdflatex
 	sed -e 's!^\(USE_PDFLATEX *= *\)NO!\1YES!' -i src/api/ccapi/Makefile.am
+
+	# Do not force java target
+	sed 's/ -target 1.5//' -i src/api/java/Makefile.am
 
 	# Set java source version when using gcj
 	readlink /usr/lib/jvm/default-java | grep -q gcj && \
@@ -88,7 +91,9 @@
 	   --sysconfdir=$(_datadir) \
 	   --mandir='$${datadir}/man' \
 	   --infodir='$${datadir}/info' \
-	   --libexecdir=$(_datadir) --disable-glite \
+	   --libexecdir=$(_datadir) \
+	   --disable-glite \
+	   --enable-docs \
 	   --with-java-home=/usr/lib/jvm/default-java \
 	   --with-bc=/usr/share/java/bcprov.jar \
 	   --with-commons-cli=/usr/share/java/commons-cli.jar \
@@ -97,13 +102,19 @@
 
 	touch $@
 
-build: build-stamp
+build: build-indep build-arch
+	:
+
+build-indep: build-stamp
+	:
+
+build-arch: build-stamp
 	:
 
 build-stamp: configure-stamp
 	dh_testdir
 
-	GZIP_ENV="GZIP=--best" $(MAKE)
+	$(MAKE)
 
 	cd doc/apidoc/api/VOMS_C_API/latex && make
 	cd doc/apidoc/api/VOMS_CC_API/latex && make
@@ -135,12 +146,11 @@
 	rm -f project/ltmain.sh
 	rm -f src/autogen/config.h.in
 
-	sed -e 's/\(LOCATION_DIR.*\)""/\1"$$prefix"/g' -i project/acinclude.m4
-
-	sed -e 's!{\(GLOBUS_LOCATION\):-/usr}!\1!' -i project/voms.m4
-
-	sed -e 's!"/etc/vomses"!"/opt/glite/etc/vomses"!' \
-		-i src/api/ccapi/voms_api.cc
+	rm -f m4/lt~obsolete.m4
+	rm -f m4/ltversion.m4
+	rm -f m4/ltoptions.m4
+	rm -f m4/ltsugar.m4
+	rm -f m4/libtool.m4
 
 	sed -e 's!/run/voms!/lock/subsys!g' \
 	    -e 's!/lock/subsys.pid!/run/voms.pid!g' \
@@ -149,6 +159,9 @@
 	sed -e 's!^\(USE_PDFLATEX *= *\)YES!\1NO!' -i src/api/ccapi/Makefile.am
 
 	sed 's/ -source 1.5//' -i src/api/java/Makefile.am
+
+	grep -q 'target 1.5' src/api/java/Makefile.am || \
+	  sed 's/$$(JAVAC)/& -target 1.5/' -i src/api/java/Makefile.am
 
 	sed '/Class-Path:/d' -i src/api/java/Manifest.add
 
@@ -157,6 +170,10 @@
 	    mv -f project/$$f.dist project/$$f ; \
 	  fi ; \
 	done
+
+	rm -f src/server/vomsSOAP.GetAttributeCertificate.req.xml
+	rm -f src/server/vomsSOAP.GetAttributeCertificate.res.xml
+	rm -f src/server/vomsSOAP.nsmap
 
 	rm -rf doc/apidoc
 	rm -rf javadoc
@@ -174,26 +191,17 @@
 	dh_testroot
 	dh_clean -k 
 
-	GZIP_ENV="GZIP=--best" $(MAKE) install DESTDIR=$(INSTALLDIR)
-
-	rm -f $(INSTALLDIR)$(_bindir)/edg-voms*
-	rm -f $(INSTALLDIR)$(_sbindir)/edg-voms*
-	rm -f $(INSTALLDIR)$(_mandir)/man1/edg-voms*
-	rm -f $(INSTALLDIR)$(_mandir)/man8/edg-voms*
+	$(MAKE) install DESTDIR=$(INSTALLDIR)
+
 	rm -rf $(INSTALLDIR)$(_mandir)/man3
-
-	rm -f $(INSTALLDIR)$(_libdir)/*.la
-
-	mv $(INSTALLDIR)$(_includedir)/glite/security/voms \
-	   $(INSTALLDIR)$(_includedir)/$(name)
-	rm -rf $(INSTALLDIR)$(_includedir)/glite
-
-	rm $(INSTALLDIR)$(_includedir)/$(name)/voms_apic_nog.h
-	rm $(INSTALLDIR)$(_mandir)/man1/testvoms.1*
-	rm $(INSTALLDIR)$(_mandir)/man8/voms-install-replica.8*
-
-	mv $(INSTALLDIR)$(_datadir)/vomses.template \
-	   $(INSTALLDIR)$(_datadir)/$(name)
+	rm $(INSTALLDIR)$(_libdir)/*.la
+
+	rm $(INSTALLDIR)$(_mandir)/man8/voms-install-replica.8
+
+	sed -e 's/\$$PREFIX//' -e 's/\.glite/.voms/' -e 's/RThis/R This/' \
+	    -i $(INSTALLDIR)$(_mandir)/man1/voms-proxy-init.1
+
+	rm $(INSTALLDIR)$(_datadir)/vomses.template
 
 	mv $(INSTALLDIR)$(_datadir)/m4 $(INSTALLDIR)$(_datadir)/aclocal
 
@@ -204,16 +212,6 @@
 	mkdir -p $(INSTALLDIR)$(_sysconfdir)/grid-security/$(name)
 	mkdir -p $(INSTALLDIR)$(_sysconfdir)/$(name)
 	mkdir -p $(INSTALLDIR)$(_localstatedir)/log/$(name)
-
-	sed -e 's!$${datapath}/etc/voms/voms!$${basepath}/share/voms/voms!' \
-	    -e 's/useradd/\#&/' -e 's/groupadd/\#&/' \
-	    -e 's/vomsd(8)/voms(8)/' \
-	    -i $(INSTALLDIR)$(_datadir)/$(name)/voms_install_db
-
-	echo '$$ECHO -en "--x509_user_cert=/etc/grid-security/voms/hostcert.pem\\n" >> $$datapath/etc/voms/$$voms_vo/voms.conf' >> \
-		$(INSTALLDIR)$(_datadir)/$(name)/voms_install_db
-	echo '$$ECHO -en "--x509_user_key=/etc/grid-security/voms/hostkey.pem\\n" >> $$datapath/etc/voms/$$voms_vo/voms.conf' >> \
-		$(INSTALLDIR)$(_datadir)/$(name)/voms_install_db
 
 	mkdir -p $(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_C_API
 	cp -pr doc/apidoc/api/VOMS_C_API/html \
@@ -261,7 +259,7 @@
 	dh_fixperms
 	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps -l debian/libvomsapi0/usr/lib
+	dh_shlibdeps -l debian/libvomsapi1/usr/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
@@ -270,4 +268,21 @@
 	:
 
 get-orig-source:
-	if [ -r ../$(name)_$(version).orig.tar.gz ] ; then \
+	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
+	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
+	else \
+	  if [ -d voms ]; then \
+	    echo "Please remove existing directory 'voms'" ; \
+	    exit 1 ; \
+	  fi ; \
+	  echo "Fetching upstream git version" ; \
+	  git clone git://testbed002.cnaf.infn.it/opt/gits/voms.git ; \
+	  ( cd voms ; \
+	  git archive --format tar --prefix $(name)-$(version)/ \
+	    voms_R_`echo $(version)|tr "." "_"` | \
+	    gzip - > ../$(name)_$(version).orig.tar.gz ) ; \
+	  echo "Cleaning up." ; \
+	  rm -rf voms ; \
+	fi
+
+.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure get-orig-source
