## voms 2.0.8

=== debian/changelog ===
voms (2.0.8-1) unstable; urgency=low

  * Update to upstream version 2.0.8 (EMI 2 version)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 27 May 2012 12:31:51 +0200

voms (2.0.7-2) unstable; urgency=low

  * Fix upgrade path (Closes: #673981)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 22 May 2012 19:56:38 +0200

voms (2.0.7-1) unstable; urgency=low

  * Update to upstream version 2.0.7
  * Split of Java API to separate source package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 19 May 2012 15:13:51 +0200
