## voms 2.0.9

=== debian/changelog ===
voms (2.0.9-1) unstable; urgency=low

  * Update to upstream version 2.0.9

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 01 Dec 2012 11:12:08 +0100
