=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 name=voms
-version=2.0.8
+version=2.0.9
 
 -include /usr/share/dpkg/buildflags.mk
