## voms 2.0.10

=== debian/changelog ===
voms (2.0.10-1) unstable; urgency=low

  * Update to upstream version 2.0.10

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 22 May 2013 12:08:15 +0200
