=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # -*- makefile -*-
 
 name=voms
-version=2.0.9
 
 -include /usr/share/dpkg/buildflags.mk
 
@@ -194,22 +193,4 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
-get-orig-source:
-	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
-	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
-	else \
-	  if [ -d $(name) ]; then \
-	    echo "Please remove existing directory '$(name)'" ; \
-	    exit 1 ; \
-	  fi ; \
-	  echo "Fetching upstream git version" ; \
-	  git clone git://github.com/italiangrid/$(name).git ; \
-	  ( cd $(name) ; \
-	  git archive --format tar --prefix $(name)-$(version)/ \
-	    `echo $(version) | tr "." "_"` | \
-	    gzip - > ../$(name)_$(version).orig.tar.gz ) ; \
-	  echo "Cleaning up." ; \
-	  rm -rf $(name) ; \
-	fi
-
-.PHONY: build build-arch build-indep binary binary-arch binary-indep clean configure get-orig-source install
+.PHONY: build build-arch build-indep binary binary-arch binary-indep clean configure install
