## voms 2.0.11

=== debian/changelog ===
voms (2.0.11-5) unstable; urgency=medium

  * Add Pre-Depends for dpkg-maintscript-helper

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 09 Nov 2014 02:52:53 +0100

voms (2.0.11-4) unstable; urgency=medium

  * Properly handle symlink-to-dir conversion in doc package (Closes: #768276)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 08 Nov 2014 07:19:30 +0100

voms (2.0.11-3) unstable; urgency=medium

  * Drop depends on voms-dev in voms-doc (Closes: #755570)
  * No longer replace doxygen's jquery.js
  * Update the gsoap patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 07 Aug 2014 05:08:18 +0200

voms (2.0.11-2) unstable; urgency=medium

  * Fix a stack smash when SHA2 certificates are used

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 27 Jun 2014 05:43:06 +0200

voms (2.0.11-1) unstable; urgency=low

  * Update to upstream version 2.0.11
  * Drop patches voms-install-db2.patch and voms-doc-race.patch (accepted
    upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 01 Dec 2013 20:05:27 +0100
