=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), autoconf, automake, libtool, autotools-dev, libssl-dev, libexpat1-dev, gsoap, pkg-config, xsltproc, docbook-xml, docbook-xsl, doxygen-latex, texlive-fonts-recommended
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Section: libs
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/voms
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/voms
@@ -56,7 +56,8 @@
 Package: voms-doc
 Section: doc
 Architecture: all
-Depends: voms-dev, ${misc:Depends}, libjs-jquery
+Pre-Depends: dpkg (>= 1.17.5)
+Depends: ${misc:Depends}
 Description: Virtual Organization Membership Service Documentation Files
  Documentation for the Virtual Organization Membership Service.
