=== debian/rules ===
--- 
+++ 
@@ -31,14 +31,6 @@
 	# /var/lock/subsys is a redhat-ism - use /var/run/voms instead
 	sed -e 's!/lock/subsys!/run/voms!g' -i src/install/voms.start.in
 
-	# Use pdflatex
-	sed -e 's!^\(USE_PDFLATEX *= *\)NO!\1YES!' -i src/api/ccapi/Makefile.am
-
-	# Touch to avoid rerunning bison and flex
-	touch -r src/utils/vomsfake.y src/utils/vomsparser.h
-	touch -r src/utils/vomsfake.y src/utils/vomsparser.c
-	touch -r src/utils/vomsfake.y src/utils/lex.yy.c
-
 	# rebootstrap
 	./autogen.sh
 
@@ -48,9 +40,8 @@
 	   --sysconfdir=$(_sysconfdir) \
 	   --mandir='$${datadir}/man' \
 	   --infodir='$${datadir}/info' \
-	   --libexecdir=$(_datadir) \
-	   --disable-glite \
-	   --enable-docs
+	   --enable-docs \
+	   --disable-parser-gen
 
 	touch $@
 
@@ -92,8 +83,6 @@
 	    -e 's!/lock/subsys.pid!/run/voms.pid!g' \
 	    -i src/install/voms.start.in
 
-	sed -e 's!^\(USE_PDFLATEX *= *\)YES!\1NO!' -i src/api/ccapi/Makefile.am
-
 	dh_autotools-dev_restoreconfig
 
 	rm -f src/server/vomsSOAP.GetAttributeCertificate.req.xml
@@ -122,9 +111,6 @@
 	rm -rf $(INSTALLDIR)$(_mandir)/man3
 	rm $(INSTALLDIR)$(_libdir)/*.la
 
-	sed -e 's/\$$PREFIX//' -e 's/\.glite/.voms/' -e 's/RThis/R This/' \
-	    -i $(INSTALLDIR)$(_mandir)/man1/voms-proxy-init.1
-
 	# Remove in order to have a good upgrade path from voms 1.x
 	# This file is installed in the documentation directory instead
 	rm $(INSTALLDIR)$(_datadir)/$(name)/vomses.template
@@ -143,18 +129,12 @@
 		$(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_C_API
 	install -m 644 doc/apidoc/api/VOMS_C_API/latex/refman.pdf \
 		$(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_C_API
-	rm $(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_C_API/html/jquery.js
-	ln -s /usr/share/javascript/jquery/jquery.js \
-	    $(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_C_API/html/jquery.js
 
 	mkdir -p $(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_CC_API
 	cp -pr doc/apidoc/api/VOMS_CC_API/html \
 		$(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_CC_API
 	install -m 644 doc/apidoc/api/VOMS_CC_API/latex/refman.pdf \
 		$(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_CC_API
-	rm $(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_CC_API/html/jquery.js
-	ln -s /usr/share/javascript/jquery/jquery.js \
-	    $(INSTALLDIR)/$(_docdir)/voms-dev/VOMS_CC_API/html/jquery.js
 
 binary: binary-arch binary-indep
 
@@ -180,11 +160,11 @@
 binary-indep: install
 	dh_testdir
 	dh_testroot
-	dh_installdocs -p voms-doc --link voms-dev
 	dh_installdocs -i
 	dh_installchangelogs -i ChangeLog
 	dh_install -i --fail-missing
 	dh_installman -i
+	dh_lintian -i
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
